Dynalinks
Projects

Update an existing project

PATCH
/projects/{id}
Manage projects. Requires a master API key. Experimental: the request and response shapes may still change.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*string

UUID of the project to update

Request Body

Fields to update

application/json
  1. body
project?

Response Body

Project updated successfully

application/json
  1. response
id?string

UUID of the project

Formatuuid
name?string

Name of the project

subdomain?string

Subdomain for the project

custom_domain?string

Custom domain for the project

custom_domain_verified?boolean

Whether the custom domain is verified

links_count?integer

Number of links in the project

Example Request
curl -X PATCH 'https://dynalinks.app/api/v1/projects/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "name": "Updated Project",  "subdomain": "updatedproject",  "custom_domain": "newdomain.com",  "custom_domain_verified": false,  "links_count": 25}